#!/bin/bash
#upstream version is viewframe.sh; this merely directs image to stdout.
header=512 #well well, and that way round, the pixels are in plain old RGB :)
framesize=9216 #Had this wrong for some time, thinking res was 48x96 :P
#skipno=`ev \($1*$framesize\)+$header`
skipno=`expr \( $1 \* $framesize \) \+ $header`
#"expr" took a lot more work than "ev" for it to parse, but most people
#wouldn't have "ev".

#really, I should change this to use a blocksize of 512 and then
#adjust skipno accordingly.
dd if=source.pfl skip=$skipno count=$framesize bs=1 \
 |./unpackrgb12-b.c | rawtoppm -rgb 64 96 \
 |pnmflip -r270 -lr
#OOPS; had "> $2" at the end, to direct output to specified file;
#unfortunately that makes it unuseable with pipelines :P

#note: I noticed after a while that the scripts had actually been inserting
#files back-to-front, and when it did the same with the default video frames
#I just hadn't noticed *blush*. Hence I added the -lr flag to pnmflip to
#correct it.
